Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class BorderSpacingShorthandParser

    java.lang.Object
      org.apache.fop.fo.properties.GenericShorthandParser
          org.apache.fop.fo.properties.BorderSpacingShorthandParser

All Implemented Interfaces:
  ShorthandParser

public class BorderSpacingShorthandParser
extends GenericShorthandParser

Shorthand parser for the "border-spacing" shorthand property.

Constructor Summary
`BorderSpacingShorthandParser()`

Method Summary
`protected Property` | `convertValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)` Converts a property name into a Property

Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser
`getElement, getValueForProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderSpacingShorthandParser

    public BorderSpacingShorthandParser()

Method Detail

### convertValueForProperty

    protected Property convertValueForProperty(int propId,
                                               Property property,
                                               PropertyMaker maker,
                                               PropertyList propertyList)
                                        throws PropertyException

  Description copied from class: `GenericShorthandParser`
  Converts a property name into a Property

  Overrides:
    `convertValueForProperty` in class `GenericShorthandParser`
  Parameters:
    `propId` - the property ID in the Constants interface
    `maker` - the Property.Maker to be used in the conversion
    `property` - ...
    `propertyList` - the PropertyList from which the Property should be extracted
  Returns:
    the Property matching the parameters, or null if not found
  Throws:
    `PropertyException` - (when?)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.